name: muthsevshop/product-teaser
typeName: product_teaser
title: 'Produkt-Teaser'
description: 'Hiermit kann auf ein einzelnes Produkt aus dem hinterlegten Produktstamm verlinkt werden.'
group: teasers
prefixFields: false
security:
  ignoreWebMountRestriction: true
  ignoreRootLevelRestriction: true
  ignorePageTypeRestriction: true
internalDescription: false
basics:
  - TYPO3/Appearance
  - TYPO3/Links

fields:
  - identifier: header_link
    label: Produkt
    type: Link
    allowedTypes:
      - productRecordLink
    required: true

  - identifier: teaser_content_palette
    type: Palette
    label: 'Manuelle Einstellungen'

    fields:
      - identifier: header
        useExistingField: true
        label: Produktname
        description: 'überschreibt Produktname'

      -
        type: Linebreak

      - identifier: assets
        label: 'Teaser-Bild'
        description: 'überschreibt Produktbild'
        type: File
        extendedPalette: false
        useExistingField: true
        maxitems: 1
        allowed: 'jpg,png,jpeg,webp'
